firefox Rated 4 out of 5 stars

what firefox version is this compatible with
I have firefox 11 and i downgraded to 8.0.1 and it says its not compatible.